Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.DialogDescriptionElement Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | DialogDescriptionElement ()
| Constructor.
def | DialogDescriptionElement (dlg_des_element)
| Constructor, with another dialog description element object. More...
def | DialogDescriptionElement (name, item_id, type, next_tab, width, height, char_width, char_height, font, bold, italic, alignment, align_children, element_array)
| Constructor, with parameters. More...
def | Set (name, item_id, type, next_tab, width, height, char_width, char_height, font, bold, italic, alignment, align_children, element_array)
| Set values. More...

## Static Public Attributes
| align_children = _fsdk.DialogDescriptionElement_align_children
| The alignment for all descendants.
| alignment = _fsdk.DialogDescriptionElement_alignment
| The alignment for this element.
| bold = _fsdk.DialogDescriptionElement_bold
| Specify if the font is bold.
| char_height = _fsdk.DialogDescriptionElement_char_height
| Specifies the height of the element in characters. More...
| char_width = _fsdk.DialogDescriptionElement_char_width
| Specifies the width of the element in characters. More...
| element_array = _fsdk.DialogDescriptionElement_element_array
| An array of object literals that describe the subelements of this dialog box element.
| font = _fsdk.DialogDescriptionElement_font
| The font to use for this element. More...
| height = _fsdk.DialogDescriptionElement_height
| Specifies the height of the element in pixels. More...
| italic = _fsdk.DialogDescriptionElement_italic
| Specify if the font is italic.
| item_id = _fsdk.DialogDescriptionElement_item_id
| An ItemID for this dialog box.
| name = _fsdk.DialogDescriptionElement_name
| The displayed name of the dialog box element.
| next_tab = _fsdk.DialogDescriptionElement_next_tab
| An ItemID for the next dialog box item in the tab order.
| type = _fsdk.DialogDescriptionElement_type
| The type of this dialog box element.
| width = _fsdk.DialogDescriptionElement_width
| Specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionElement() [1/2]

def FoxitPDFSDKPython3.DialogDescriptionElement.DialogDescriptionElement | ( |  | name,
|  |  | item_id,
|  |  | type,
|  |  | next_tab,
|  |  | width,
|  |  | height,
|  |  | char_width,
|  |  | char_height,
|  |  | font,
|  |  | bold,
|  |  | italic,
|  |  | alignment,
|  |  | align_children,
|  |  | element_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

## ◆ DialogDescriptionElement() [2/2]

def FoxitPDFSDKPython3.DialogDescriptionElement.DialogDescriptionElement | ( |  | dlg_des_element | ) |

Constructor, with another dialog description element object.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.DialogDescriptionElement.Set | ( |  | name,
|  |  | item_id,
|  |  | type,
|  |  | next_tab,
|  |  | width,
|  |  | height,
|  |  | char_width,
|  |  | char_height,
|  |  | font,
|  |  | bold,
|  |  | italic,
|  |  | alignment,
|  |  | align_children,
|  |  | element_array
| ) |  |

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## Member Data Documentation

## ◆ char_height

FoxitPDFSDKPython3.DialogDescriptionElement.char_height = _fsdk.DialogDescriptionElement_char_height
| static

Specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

FoxitPDFSDKPython3.DialogDescriptionElement.char_width = _fsdk.DialogDescriptionElement_char_width
| static

Specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

## ◆ font

FoxitPDFSDKPython3.DialogDescriptionElement.font = _fsdk.DialogDescriptionElement_font
| static

The font to use for this element.

It will be one of the following strings:

- "default" - Default font
- "dialog" - Dialog box font
- "palette" - Palette (small) Font

## ◆ height

FoxitPDFSDKPython3.DialogDescriptionElement.height = _fsdk.DialogDescriptionElement_height
| static

Specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

FoxitPDFSDKPython3.DialogDescriptionElement.width = _fsdk.DialogDescriptionElement_width
| static

Specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.